#include "Lista_Equipamentos.h"


// Questao 3 -----------------------------------------------------------------------------
Lista_Equipamentos::Lista_Equipamentos()
{
    inicioLista = nullptr;
}


Lista_Equipamentos::~Lista_Equipamentos()
{
    if(!inicioLista)
        return;

    Elemento_Equipamento* tmp = inicioLista->getProximo();
    while(tmp != nullptr)
    {
        inicioLista->setProximo(tmp->getProximo());
        delete tmp;
        tmp = inicioLista->getProximo();
    }
    
    delete inicioLista;
}


void Lista_Equipamentos::adicionarEquipamento(Equipamento* novoEquipamento)
{
    // Neste caso, o Equipamento é adicionado no inicio da lista, mas
    // é possível adicioná-lo no fim.
    Elemento_Equipamento* elemento = new Elemento_Equipamento(novoEquipamento);
    elemento->setProximo(inicioLista);

    inicioLista = elemento;
}


void Lista_Equipamentos::listarEquipamentos() const
{
    for(Elemento_Equipamento* tmp = inicioLista; tmp != nullptr; tmp = tmp->getProximo())
    {
        std::cout << tmp->getConteudo()->getNome() << std::endl;
    }
}
//-----------------------------------------------------------------------------------------
